$1 PROCEDURE [dbo].[SATIS_EVRAK_TOPLAMLARI]
@aktif_kullanici varchar(25)='',
@baslangic_tarih dateTime,
@bitis_tarih datetime
AS 

SELECT 
ksa_no [KASA NO],
ksa_isim[KASA İSİM],
COUNT(CASE WHEN evr_belge_tur =1 THEN (evr_belge_tur) END) AS [Fiş Sayısı],
ROUND(SUM(CASE WHEN evr_belge_tur =1 THEN evr_yekun END),2) AS [Fiş Tutarı],
COUNT(CASE WHEN evr_belge_tur =2 THEN (evr_belge_tur) END) AS [Fatura Sayısı],
ROUND(SUM(CASE WHEN evr_belge_tur =2 THEN evr_yekun END),2) AS [Fatura Tutarı],
COUNT(CASE WHEN evr_belge_tur =3 THEN (evr_belge_tur) END) AS [İade Sayısı],
ROUND(SUM(CASE WHEN evr_belge_tur =3 THEN evr_yekun END),2) AS [İade Tutarı],
COUNT(CASE WHEN evr_belge_tur =8 THEN (evr_belge_tur) END) AS [Fatura İptali],
ROUND(SUM(CASE WHEN evr_belge_tur =8 THEN evr_yekun END),2) AS [Fatura İptal Tutar],
COUNT(CASE WHEN evr_belge_tur =4 THEN (evr_belge_tur) END) AS [Fiş İptali],
ROUND(SUM(CASE WHEN evr_belge_tur =4 THEN evr_yekun END),2) AS [Fiş İptal Tutar]
FROM EVRAK_UST_BILGI WITH(NOLOCK)
LEFT OUTER JOIN KASA_TANIMLARI WITH(NOLOCK) ON ksa_no=evr_kasa_no
WHERE evr_kasa_no is not null and evr_kasa_no!=''
AND  CONVERT(DATE,@baslangic_tarih)<=CONVERT(DATE,evr_evrak_tarih) and CONVERT(DATE,evr_evrak_tarih)<=CONVERT(DATE,@bitis_tarih) 
AND evr_belge_tur in (1,2,3,8,4) 
AND (evr_magaza_kod=dbo.fn_AktifKullaniciMagazaGetir(@aktif_kullanici) OR @aktif_kullanici=0)
GROUP BY ksa_no,ksa_isim

